Bug 1109439 - Process service resources continues to monitor old process even after process no longer exists or after piql/pid file has changed
Summary: Process service resources continues to monitor old process even after process...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Other
Version: JON 3.1.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER01
: JON 3.2.3
Assignee: Thomas Segismont
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On: 1100609
Blocks: 1091134 1127875 1127876
TreeView+ depends on / blocked
 
Reported: 2014-06-13 23:20 UTC by Larry O'Leary
Modified: 2018-12-05 18:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1100609
: 1127875 (view as bug list)
Environment:
Last Closed: 2014-09-05 15:40:42 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 795963 None None None Never

Description Larry O'Leary 2014-06-13 23:20:13 UTC
We need to get this fix into the product branch.

+++ This bug was initially created as a clone of Bug #1100609 +++

Description of problem:
When you change the plugin configuration of a Process resource (piql, pid file, full process tree), the resource component keeps monitoring the old process, as long as it stays up.

Version-Release number of selected component (if applicable):
4.11

How reproducible:
Always

Steps to Reproduce:
1.Import a Process Service to match process A
2.Check availability and metrics
3.Change plugin configuration to match process B
4.Shutdown process B

Actual results:
If process A is still up, the Process Service reports UP avail and metrics are still collected


Expected results:
The Process Service should report DOWN avail and metrics shouldn't be collected


Additional info:
This problem was found while working on analysis of Bug 1091134

--- Additional comment from Thomas Segismont on 2014-05-23 04:28:59 EDT ---

Fixed in master

commit 481dbc2a158f44a73d37465c2676fddb1b13e9a4
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Fri May 23 10:24:45 2014 +0200

Wrapped config params in a class
Null out config instance and process instance when stopping component
Do not fill the metric report if the process is DOWN

Comment 2 John Mazzitelli 2014-08-07 18:34:38 UTC
commit to release/jon3.2.x : d7c528b0cd349237e753f4df81968ae1149be231

Comment 3 Simeon Pinder 2014-08-15 03:19:12 UTC
Moving to ON_QA as this is available for test in JON 3.2.3 ER01 build:

http://jon01.mw.lab.eng.bos.redhat.com:8042/dist/release/jon/3.2.3.GA/8-14-14/

Comment 4 Jeeva Kandasamy 2014-08-22 12:46:23 UTC
It's working as expected

Version: 
JBoss Operations Network
Version : 3.2.0.GA Update 03
Build Number : bca1bc8:e19c43d
GWT Version : 2.5.0
SmartGWT Version : 3.0p


Note You need to log in before you can comment on or make changes to this bug.